-- by mor2000

local modDir = g_currentModDirectory;

local function loadFillPlane(filename)
	
	local i3dFilename = modDir .. filename

	--print('i3dFilename = '..tostring(i3dFilename))

	local nodeRoot = Utils.loadSharedI3DFile(i3dFilename, nil, false, false)
	if nodeRoot == 0 then
		return false
	end
	local nodeId = getChildAt(nodeRoot, 0)
	if nodeId == 0 then
		delete(nodeRoot)
		return false
	end

	local function loopThruChildren(id)
		--print('loopThruChildren('..tostring(id)..')')
		if id==nil or id==0 then
			return false
		end
	
		if getUserAttribute(id, "onCreate")=="Fillable.onCreateFillMaterial" then
			--print('Fillable.onCreateFillMaterial('..tostring(id)..')')
			Fillable.onCreateFillMaterial(nil, id)
		else
			local numChildren = getNumOfChildren(id)
			--print('number of children of nodeId is '..tostring(numChildren))
			if type(numChildren)=="number" and numChildren>0 then
				for i=1,numChildren do
					local childId = getChildAt(id, i-1)
					if childId~=nil or childId~=0 then
						loopThruChildren(childId)
					end
				end
			end
		end
		return true
	end

	loopThruChildren(nodeId)

	delete(nodeRoot)

end

loadFillPlane('fillPlanes/apfel.i3d')
loadFillPlane('fillPlanes/birne.i3d')